<div class="page-header">
  <h1 class="mat-title">{{ title }}</h1>
  <span fxFlex></span>
  <div class="button-container" fxLayout="row" fxLayoutAlign="stretch center" fxLayoutGap="10px">
    <app-button *ngFor="let button of buttons"
      [disabled]="button?.disabled"
      [icon]="button?.icon"
      [label]="button?.label"
      [type]="button?.type"
      [color]="button?.color"
      [behavior]="button?.behavior"
      (cmClick)="button?.cmClick?.emit($event)">
    </app-button>
  </div> 
</div>
<ng-content></ng-content>